.consentbanner {
	--wpc-t: var(--t-std, all 0.3s ease allow-discrete);
	--wpc-accent-color: #BB1A20;
	--wpc-button-text: white;
	interpolate-size: allow-keywords;
	position: fixed;
	bottom: 0;
	z-index: 100000;
	background-color: white;
	box-shadow: 0 0 10px #0008;
	padding: 1em;
	max-width: 650px;
	overflow-y: auto;
	display: none;
	border: 5px solid var(--wpc-accent-color);
	/* border: none; */
	box-sizing: border-box;
	margin: auto;
	transition: var(--wpc-t);
	transform: scale(0);
	opacity: 0;
	flex-direction: column;
	max-height: 80vh;
	border-radius: 10px;
	box-shadow: 0px 0px 20px #0008;
	gap: 1em;
	
			
	&:popover-open{
		display: flex; 
		transform: scale(1);
		opacity: 1; 

		@starting-style{
			transform: scale(0);
			opacity: 0; 
		}
	}

	&::backdrop {
		background-color: #0000;
		transition: var(--wpc-t);
	}

	&:popover-open::backdrop {
		background-color: #fff6;
		backdrop-filter: blur(4px);
		@starting-style {
			background-color: #0000;
			backdrop-filter: blur(0px);
		}
	}

	&>div{
		display: flex; 
		flex-direction: column; 
		gap: 1em; 
	}

	& .buttons{
		display: flex; 
		flex-direction: row; 
		flex-wrap: wrap; 
		gap: 0.51em; 
	}
	
	& .buttons button {
		margin: 0; 
		background-color: var(--wpc-accent-color);
		transition: all 0.3s ease;
		padding: 0.5em 0.5em;
		cursor: pointer;
		color: var(--wpc-button-text);
		border: none; 
		font: inherit; 
		border-radius: 0.5em; 
		font-weight: bold; 
		

		&:hover {
			background-color: #003063cc;
			background-color: color-mix(in srgb, var(--wpc-accent-color), transparent 20%);
		}

		&:focus {
			outline: 2px solid #000;
			border-color: white; 
		}
	}

	& *{
		box-sizing: border-box;
	}

	& .imp {
		text-align: right;
		font-size: smaller;
		margin: 0;
	}

	& .introtext {
		margin-bottom: 0;
	}

	& .wrapper {
		display: flex;
		justify-content: space-between;
		flex-wrap: wrap;
		align-items: flex-end;
		gap: 0.5em;
	}

	& h3 {
		margin: 0;
		font-size: 18px;
		font-weight: bold;
	}

	& .consentgroups {
		margin: 0.5em 0;
	}

	& label {
		display: block;
		margin-bottom: 0;
	}


	& .group {
		overflow: hidden; 
		
		&::details-content {
			block-size: 0;
			transition: var(--wpc-t);
		}
		&:open::details-content {
			block-size: auto;
		}
		
		@supports (-webkit-hyphens: none) {
			&::details-content {
				height:auto;
			}
		}
		&+.group {
			border-top: 1px solid #BBB;
		}
	}

	& .grouphead {
		display: flex;
		width: 100%;
		background-color: #f0f0f0;
		padding: 5px;
		justify-content: space-between;
		cursor: pointer;
		align-items: center;
		border-bottom: 1px solid transparent;
		
		&::-webkit-details-marker {
			display: none;
		}
		
		&.expandable .expand {
			display: block;
		}
	}

	& .group:open .grouphead {
		border-bottom: 1px solid #bbbbbb;
	}

	& .grouphead .expand {
		width: 1em;
		height: 1em;
		text-align: center;
		font-size: 2em;
		transform: translateX(-0.25em) rotateX(0deg) rotateZ(-90deg);
		cursor: pointer;
		transition: transform 0.3s ease;
		display: none;
	}


	& .group:open .expand {
		transform: translateX(-0.25em) rotateX(180deg) rotateZ(-90deg);
	}

	& .groupcontent {
		/* display: none; */
		background-color: #f8f8f8;
		padding: 5px;
		flex-direction: column;
		
		& .groupitem {
			padding: 5px;
			&>div{
				padding: 10px 0;
				margin-top: 0; 
			}
			
			& p:last-child {
				margin-bottom: 0;
			}
			& h4{
				margin-bottom: 0;
				margin-top: 0; 
			}
			& p{
				margin-top: 0; 
				margin-bottom: 0.5em;
			}
			
		}

		& .groupitem+.groupitem {
			border-top: 1px solid #BBB;
		}
	}


	& input[type=checkbox] {
		margin: 0;
		margin-right: 5px;
		height: initial;
		width: initial;
	}

	@media (max-width: 768px) {
		width: 100%;
		right: 0;
		left:0; 
	}
}


.btn-edit-wpc{
	cursor:pointer; 
}